END :=
# This is a list of guest names
# it only really makes sense to specify local guests here,
# ie the one-word names of guests known to `virsh' et al.
GUESTS := \
          $(END)

############################################################################
# Universal dependencies
############################################################################
# This is a list of guests that are required by _all_ other
# guests listed in GUESTS. It is Ok to include a name here
# that is also in guests, the circular dependency will be
# detected and ignored.
# List "base" guests like an LDAP server or central auth source here:
# examples:
#   vm-phaal.collabora.co.uk - don't start until phaal.collabora.co.uk
#   is up and running.
# To wait for a specific service on a vm here add a service-dependency
# to its target in the dependencies section below/
REQUIRED := \
            $(END)

############################################################################'
# per-guest dependencies:
############################################################################
# Specify dependencies between guests.
#
# For example, to not start fondue until ssh on fromage is ready:
# guest-fondue: guest-fromage
#
# You may also specify which service is required for a given guest:
# (one service per guest only)
# guest-fondue: service-postgres
#
# fondue requires fromage; fondue is not considered up until postgres responds:
# guest-fondue: guest-fromage service-postgres
#
# fondue requires ldap on fromage, we want postgres on fondue:
# guest-fondue: guest-fromage service-postgres
# guest-fromage: service-ldaps
#
# if you don't want to wait for a service (eg bacause none will be reachable
# in normal operation) then specify service-none
# guest-potassium: service-none
#
# Finally, you can also block on a remote service being available:
# eg to wait for a service on fromagerie.com (a guest specified by FQDN
# is considered remote and not started, only waited for):
#
# guest-fondue: guest-fromagerie.com
# guest-fromagerie.com: service-https


